Status: Closed Start date: 2012-01-31

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Subtasks:

Task # 2276: update MethodCrossReference.xls in docs Closed

Associated revisions

Revision 6759 - 2012-02-01 11:38 - Dave Vieglais

Corrected signature MNReplication.getReplica; Switched CNIdentity.listSubject and getSubjectInfo to return SubjectInfo structures. Closes #2273

Revision 6759 - 2012-02-01 11:38 - Dave Vieglais

Corrected signature MNReplication.getReplica; Switched CNIdentity.listSubject and getSubjectInfo to return SubjectInfo structures. Closes #2273

History

#1 - 2012-01-31 21:38 - Rob Nahf

- Priority changed from Normal to Urgent

- Category set to Documentation

- Assignee set to Dave Vieglais

found a few inconsistencies between java implementation and document after adding an architecture test to compare return types:

CNCore.ping() is documented to return null, but should be a date, as described in the method description  (description also refers to MN

implementation)

CNIdentity.getSubjectInfo() is documented to return a SubjectList, should be a SubjectInfo object.  java implementation is correct (returns SubjectInfo)

MNReplication.getReplica() is documented to return null, should be an InputSteam (OctetStream)

need to resolve these before releasing libclient_java and common_java, in case the documentation is right and implementation is wrong!

#2 - 2012-01-31 22:08 - Rob Nahf

also change the return type of CNIdentity.listSubjects() from SubjectList to the more informative SubjectInfo()

#3 - 2012-02-01 11:29 - Dave Vieglais

CNCore.ping and MNCore.ping do not return a message body. The timestamp is returned in the Date header, as described in the docs.

#4 - 2012-02-01 11:29 - Dave Vieglais

- Status changed from New to In Progress
#5 - 2012-02-01 11:39 - Dave Vieglais

- Status changed from In Progress to Closed

Completed, svn revision 6759.
